local utilities = {}

--- Provides an iterator over the given bounding box.
---@param box BoundingBox
---@return fun(): (number, number)|nil
function utilities.box(box)
    local x0, y0 = box[1][1], box[1][2]
    local x1, y1 = box[2][1], box[2][2]

    local x, y = x0, y0
    return function()
        if x > x1 then
            x = x0
            y = y + 1
        end
        if y > y1 then
            return nil
        end
        local current_x, current_y = x, y
        x = x + 1
        return current_x, current_y
    end
end

return utilities
